%define debug_package %{nil}
%define product_family Red Hat OpenStack Platform
%define release_name Pike
%define base_release_version 12
%define full_release_version 12.0
%define nobeta Beta
%define release_file rhosp-release
%define script_name rhosp-director-image-update
%define script_version 1.0.0

Name:           %{release_file}%{?variant_lowercase:-%{variant_lowercase}}
Version:        %{full_release_version}
Release:        5%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       %{release_file} = %{version}-%{release}
BuildArch:      noarch
Source0: %{release_file}-%{script_version}.tar.gz

Requires: python
Requires: rpmdevtools

%description
%{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep
%autosetup -n %{release_file}-%{script_version}

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# create /etc/system-release and /etc/%{release_file}
echo "%{product_family}%{?variant_titlecase: %{variant_titlecase}} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > %{buildroot}/%{_sysconfdir}/%{release_file}

# Add rhos-director-image-update
%{__install} -d -m0755 %{buildroot}%{_sbindir}
%{__install} -p -m0755 %{script_name} %{buildroot}%{_sbindir}/%{script_name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_sysconfdir}/%{release_file}
%attr(0755, root, root) %{_sbindir}/%{script_name}

%changelog
* Mon Oct 15 2018 Jason Joyce <jjoyce@redhat.com> 12.0-5
- Updating to use a git archive for the rhosp-director-image-upgrade script.

* Thu Aug 23 2018 Jason Joyce <jjoyce@redhat.com> - 12.0-4
- Adding a tool to maintain director image symlinks

* Tue Dec 19 2017 Mike Burns <mburns@redhat.com> - 12.0-3
- Update for OSP 12 GA

* Thu Mar 23 2017 Mike Burns <mburns@redhat.com> - 12.0-1
- Update for OSP 12 Beta

* Thu Mar 23 2017 Mike Burns <mburns@redhat.com> - 11.0-2
- Update for OSP 11

* Tue Aug 16 2016 Mike Burns <mburns@redhat.com> - 10.0-2
* Initial Release
